--- title: "View Canary Swagger JSON" slug: "apigateway-canarytest-swaggerjson" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/apigateway-canarytest-swaggerjson" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View Canary Swagger JSON Available in Classic and VPC View the content of an API document deployed on Canary in the Swagger JSON format. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID associated with the API - 1 - 10 characters | | `api-id` | String | Required | API ID created on the product - 1 - 10 characters | | `stage-id` | String | Required | Stage ID created on the API - 1 - 10 characters | ### Request example The following is a sample request. ``` curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/canary/swagger-json' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "documentJson": "documentJson" } ``` ### Response status codes For response status codes common to API Gateway, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "documentJson": "{"swagger" : "2.0", "info" : { "description" : "api Description
https://**********.apigw.ntruss.com/api/v1", "version" : "2024-05-08T08:17:35Z", "title" : "api-***" }, "host" : "**********.apigw.ntruss.com", "basePath" : "/***/***", "schemes" : [ "https" ], "paths" : { "/" : { }, "/***" : { "post" : { "tags" : [ "v1" ], "parameters" : [ { "name" : "****", "in" : "query", "description" : "", "required" : false, "type" : "string", "x-ncp-parameter-is-logged" : false } ], "security" : [ { "x-ncp-iam" : [ ] } ], "responses" : { "200" : { "description" : "default" } }, "x-ncp-apigw-use-body-when-formdata" : false, "x-ncp-apigateway-filters" : { "valid" : { "type" : "NONE" }, "apiKey" : { "required" : true }, "auth" : { "platform" : "IAM" } } } } }, "securityDefinitions" : { "x-ncp-iam" : { "type" : "apiKey", "name" : "x-ncp-iam", "in" : "header", "x-ncp-apigw-auth-ver" : "v2" }, "x-ncp-apigw-api-key" : { "type" : "apiKey", "name" : "x-ncp-apigw-api-key", "in" : "header" } } }" } ```